=== debian/changelog ===
apt-cacher-ng (0.5.14) unstable; urgency=low

  * Disabled acngfs build on hurd because of missing fuse library
  * Added Brazilian Portuguese Translation from Adriano Rafael
    Gomes (closes: #610414)
  * added option to append arbitrary data to request headers, default contains
    remote proxy cache control data (closes: #613816)
  * changing version scheme to native

 -- Eduard Bloch <blade@debian.org>  Fri, 18 Feb 2011 23:04:33 +0100

apt-cacher-ng (0.5.13-1) unstable; urgency=low

  * New upstream version
  * logrotate configuration for the *.err files
  * silent fix of incorrect Ubuntu mirror path in backends_ubuntu.default
    (alioth task 312888)

 -- Eduard Bloch <blade@debian.org>  Sun, 06 Feb 2011 19:56:57 +0100

apt-cacher-ng (0.5.12-1) unstable; urgency=low

  * New upstream version
    + implements easier removal of cruft via web the inteface (closes: #546790)
    + added http://ftp.debian.org/debian/ to the regular mirror list in
      deb_mirrors.gz (closes: #605426)
  * fixed last-resort Ubuntu mirror picking code, now including the /ubuntu
    path component lost in a few cases

 -- Eduard Bloch <blade@debian.org>  Thu, 02 Dec 2010 23:09:38 +0100

apt-cacher-ng (0.5.11-1) unstable; urgency=low

  * New upstream version
    + return explicit Content-Length (including zero size) except for
      body-less status responses (closes: 603463)
    + more 0.5.7 regressions fixes

 -- Eduard Bloch <blade@debian.org>  Thu, 18 Nov 2010 22:41:50 +0100

apt-cacher-ng (0.5.10-1) unstable; urgency=medium

  * New upstream version
    + fixes import function broken since 0.5.7

 -- Eduard Bloch <blade@debian.org>  Tue, 09 Nov 2010 01:09:22 +0100

apt-cacher-ng (0.5.9-1) unstable; urgency=low

  * New upstream version
    + adds code to prevent request storms from networks with "special"
      configuration (closes: #598469)

 -- Eduard Bloch <blade@debian.org>  Fri, 05 Nov 2010 23:46:52 +0100

apt-cacher-ng (0.5.8-1) unstable; urgency=low

  * New upstream version

 -- Eduard Bloch <blade@debian.org>  Mon, 01 Nov 2010 15:22:25 +0100

apt-cacher-ng (0.5.7-1) experimental; urgency=medium

  * New upstream version
  * Typos in acng.conf fixed (thanks, closes: 599328)

 -- Eduard Bloch <blade@debian.org>  Wed, 20 Oct 2010 18:42:32 +0200

apt-cacher-ng (0.5.6-1) unstable; urgency=medium

  * New upstream version

 -- Eduard Bloch <blade@debian.org>  Sun, 12 Sep 2010 23:16:43 +0200

apt-cacher-ng (0.5.5-1) unstable; urgency=low

  * New upstream version
    + fixes corruption of error page status line
    + better handling of d-i files expiration
    + not downloading unneeded files in expiration

 -- Eduard Bloch <blade@debian.org>  Sun, 12 Sep 2010 23:09:50 +0200

apt-cacher-ng (0.5.4-1) experimental; urgency=low

  * New upstream version
    + solves missing sys/stat.h inclusion (closes: #594765)
    + fixes on old leak of thread memory (now really)
    + lzma reading support

 -- Eduard Bloch <blade@debian.org>  Sun, 29 Aug 2010 15:34:38 +0200

apt-cacher-ng (0.5.3-1) experimental; urgency=low

  * New upstream version
    + lots of internal changes, including obvious memory leaks
  * created doc-base file

 -- Eduard Bloch <blade@debian.org>  Wed, 25 Aug 2010 23:38:26 +0200

apt-cacher-ng (0.5.2-1) experimental; urgency=low

  * New upstream version
    + closes: #590291 (FTBFS with recent compilers)
    + kfreebsd compilation fixes
    + fixes a possible cause of #546790

 -- Eduard Bloch <blade@debian.org>  Sat, 07 Aug 2010 12:51:28 +0200

apt-cacher-ng (0.5.1-1) unstable; urgency=low

  * New upstream version
    + header inclusion cleanup (closes: #590291)
    + kfreebsd related fixes
    + long outstanding user interface fixes and various regression fixes

 -- Eduard Bloch <blade@debian.org>  Wed, 28 Jul 2010 01:17:33 +0200

apt-cacher-ng (0.5-1) unstable; urgency=low

  * New upstream version
    + initiates the connection shutdown correctly, prevents freezes with
      clients that wait for server (closes: #589630)
    + now respecting umask value in creation permissions (closes: #589410),
      also makes the default permissions configurable through DirPerms and
      FilePerms variables

 -- Eduard Bloch <blade@debian.org>  Mon, 19 Jul 2010 22:45:48 +0200

apt-cacher-ng (0.4.9-2) unstable; urgency=low

  * Minor change to support Ubuntu release notes delivery with GET 
    parameters (closes: #588662)

 -- Eduard Bloch <blade@debian.org>  Sun, 11 Jul 2010 11:06:49 +0200

apt-cacher-ng (0.4.9-1) unstable; urgency=low

  * New upstream version
    + fixes LFS settings inconsistencies (closes: #588048), thanks
      to M. Vefa Bicakci

 -- Eduard Bloch <blade@debian.org>  Tue, 06 Jul 2010 00:59:21 +0200

apt-cacher-ng (0.4.8-1) unstable; urgency=low

  * New upstream version
    + fixes FTBFS with recent glibc (Ubuntu bug 596452)
    + adds ddeb files to package filter (Ubuntu bug 596075)
    + allow pass-through mode for specified domains/URLs (Ubuntu bug 530524)
    + modified regex creation (only at startup time now), may be a workaround
      for Debian bug #571536, Ubuntu bugs 523408, 532353, 585957

 -- Eduard Bloch <blade@debian.org>  Fri, 02 Jul 2010 08:40:07 +0200

apt-cacher-ng (0.4.7-1) unstable; urgency=low

  * New upstream version 
    + supports fallback backends descriptions which are used when the file is
      specified in the config but not configured properly. Intended to help
      in a heterogeneous Debian/Ubuntu environment (closes Ubuntu tasks
      398998 and 557316)
    + Fixes potential socket leak in mixed IPv4/v6 setups (maybe closes: #529744
      and Ubuntu bug 572095)
  * Added Vietnamese debconf translation from Clytie Siddall (closes: #576154)
  * Added Spanish translation update from Omar Campagne (closes: #578143)

 -- Eduard Bloch <blade@debian.org>  Wed, 10 Mar 2010 22:53:32 +0100
