## apt-cacher-ng 0.6.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 PROJECT(ACNG CXX C)
 INCLUDE_DIRECTORIES(. ${CMAKE_BINARY_DIR} ${CMAKE_SOURCE_DIR} "include")
 
-SET(FLAGS_ACNG " -g -O2 -pthread -Wall -D_FILE_OFFSET_BITS=64 ")
+SET(FLAGS_ACNG " -pthread -Wall -D_FILE_OFFSET_BITS=64 ")
 
 # minimum prqs
 list(APPEND AcngLdList pthread z bz2)
@@ -99,10 +99,12 @@
    link_libraries(socket nsl)
 endif(HAVE_SOCKETLIB)
 
-
 INCLUDE(CheckTypeSize)
 CHECK_TYPE_SIZE(int SIZE_INT)
 CHECK_TYPE_SIZE(long SIZE_LONG)
+
+INCLUDE(TestBigEndian)
+TEST_BIG_ENDIAN(WORDS_BIGENDIAN)
 
 SET(TESTSRC "
 #include <memory>
@@ -174,24 +176,24 @@
 include(FindPkgConfig)
 pkg_check_modules(fuse fuse)
 
+set(acngfs_cflags "${FLAGS_ACNG} -DMINIBUILD")
+# what a mess... convert sepator back to space
+foreach(arg ${fuse_CFLAGS})
+   set(acngfs_cflags "${acngfs_cflags} ${arg}")
+endforeach(arg ${fuse_CFLAGS})
+
+# double-check and make sure it compiles
 SET(TESTSRC "
 #define _FILE_OFFSET_BITS 64
 #define FUSE_USE_VERSION 26
 #include <fuse.h>
 int main() { return 0; }
 ")
+SET(CMAKE_REQUIRED_FLAGS ${fuse_CFLAGS})
 CHECK_CXX_SOURCE_COMPILES("${TESTSRC}" HAVE_FUSE_26)
+
 if(fuse_FOUND AND HAVE_FUSE_26)
-
 ADD_EXECUTABLE(acngfs fs/httpfs.cc source/lockable.cc source/header.cc source/caddrinfo.cc source/acbuf.cc source/meta.cc source/acfg.cc source/acfg_defaults.cc)
-
-set(acngfs_cflags "${FLAGS_ACNG} -DMINIBUILD")
-
-# what a mess... convert sepator back to space
-foreach(arg ${fuse_CFLAGS})
-   set(acngfs_cflags "${acngfs_cflags} ${arg}")
-endforeach(arg ${fuse_CFLAGS})
-
 
 #message("hm, ${acngfs_cflags}")
 SET_TARGET_PROPERTIES(acngfs PROPERTIES COMPILE_FLAGS "${acngfs_cflags}" )
