## apt-cacher-ng 0.6.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -134,6 +134,19 @@
       endif(NOT HAVE_MEMORY_SPTR)
    endif(NOT HAVE_TR1_MEMORY)
 endif(NOT HAVE_BOOST_SMARTPTR)
+
+SET(TESTSRC "
+#include <dlfcn.h>
+int main(int argc, char **argv)
+{
+  return dlsym(dlopen(*argv, RTLD_LAZY), *argv) ?0:1;
+}
+")
+SET(CMAKE_REQUIRED_FLAGS ${fuse_CFLAGS})
+SET(CMAKE_REQUIRED_LIBRARIES dl)
+CHECK_CXX_SOURCE_COMPILES("${TESTSRC}" HAVE_DLOPEN)
+SET(CMAKE_REQUIRED_LIBRARIES "")
+
 
 ######################################
 # checks done, save configuration    #
@@ -185,25 +198,29 @@
 # double-check and make sure it compiles
 SET(TESTSRC "
 #define _FILE_OFFSET_BITS 64
-#define FUSE_USE_VERSION 26
+#define FUSE_USE_VERSION 25
 #include <fuse.h>
 int main() { return 0; }
 ")
 SET(CMAKE_REQUIRED_FLAGS ${fuse_CFLAGS})
-CHECK_CXX_SOURCE_COMPILES("${TESTSRC}" HAVE_FUSE_26)
-
-if(fuse_FOUND AND HAVE_FUSE_26)
-ADD_EXECUTABLE(acngfs fs/httpfs.cc source/lockable.cc source/header.cc source/caddrinfo.cc source/acbuf.cc source/meta.cc source/acfg.cc source/acfg_defaults.cc)
+CHECK_CXX_SOURCE_COMPILES("${TESTSRC}" HAVE_FUSE_25)
+
+if(fuse_FOUND AND HAVE_FUSE_25)
+ADD_EXECUTABLE(acngfs fs/httpfs.cc source/lockable.cc source/header.cc source/caddrinfo.cc source/acbuf.cc source/meta.cc source/acfg.cc source/acfg_defaults.cc source/tcpconnect.cc)
 
 #message("hm, ${acngfs_cflags}")
 SET_TARGET_PROPERTIES(acngfs PROPERTIES COMPILE_FLAGS "${acngfs_cflags}" )
+if(HAVE_DLOPEN)
+TARGET_LINK_LIBRARIES(acngfs dl pthread)
+else(HAVE_DLOPEN)
 TARGET_LINK_LIBRARIES(acngfs ${fuse_LDFLAGS})
+endif(HAVE_DLOPEN)
 
 IF(HAVE_WL_AS_NEEDED)
 SET_TARGET_PROPERTIES(acngfs PROPERTIES LINK_FLAGS  -Wl,--as-needed)
 ENDIF(HAVE_WL_AS_NEEDED)
 
 
-else(fuse_FOUND AND HAVE_FUSE_26)
+else(fuse_FOUND AND HAVE_FUSE_25)
    message("FUSE not found or incompatible, not building acngfs")
-endif(fuse_FOUND AND HAVE_FUSE_26)
+endif(fuse_FOUND AND HAVE_FUSE_25)
