## apt-cacher-ng 0.6.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -93,6 +93,19 @@
 int main(int argc, char **argv) { off_t yes(3); return (int) sendfile(1, 2, &yes, 4); }
 ")
 CHECK_CXX_SOURCE_COMPILES("${TESTSRC}" HAVE_LINUX_SENDFILE)
+
+SET(TESTSRC "
+#include <unistd.h>
+int main() { return pread(0, NULL, 0, 0); }
+")
+CHECK_CXX_SOURCE_COMPILES("${TESTSRC}" HAVE_PREAD)
+
+SET(TESTSRC "
+#define _GNU_SOURCE
+#include <fcntl.h>
+int main() { loff_t sin(12), sout(34); return splice(0, &sin, 1, &sout, 12, SPLICE_F_MORE); }
+")
+CHECK_CXX_SOURCE_COMPILES("${TESTSRC}" HAVE_LINUX_SPLICE)
 
 FIND_LIBRARY(HAVE_SOCKETLIB socket) # separate socket lib looks like Solaris-like environment
 if(HAVE_SOCKETLIB)
