=== debian/changelog ===
apt-cacher-ng (0.6.6-1) unstable; urgency=low

  * New upstream version
    + auto-detection of removed architectures in expiration run (closes:620083)
    + release apt which opened many connection simultaneously from its
      "Waiting for headers" state (closes:638460)
  * fall-back to alternative tools if Perl modules are missing (closes:548348)
  * switched source format to 3.0 (quilt) with XZ compression
  * changed source and binary compression to XZ
  * fixed uncontrolled parallel build execution in debian/rules

 -- Eduard Bloch <blade@debian.org>  Sun, 21 Aug 2011 14:27:35 +0200

apt-cacher-ng (0.6.5-1) unstable; urgency=low

  * New upstream version
    + fixes various regressions
  * removed dependency on libfuse2 (now used via dlopen, moved to Suggests)
  * support new build-* targets in rules

 -- Eduard Bloch <blade@debian.org>  Sun, 07 Aug 2011 17:53:21 +0200

apt-cacher-ng (0.6.4-1) experimental; urgency=low

  * New upstream version
    + fixes potential pipeline freeze (closes: #628995)
    + supports "soft" blacklisting of bad hosts when important files are
      missing (see keyfile in documentation, closes: #616091)

 -- Eduard Bloch <blade@debian.org>  Mon, 01 Aug 2011 23:40:11 +0200

apt-cacher-ng (0.6.3-1) unstable; urgency=medium

  * New upstream releases (fixes endian detection, closes: #630372)

 -- Eduard Bloch <blade@debian.org>  Tue, 14 Jun 2011 22:47:01 +0200

apt-cacher-ng (0.6.2-1) unstable; urgency=low

  * New upstream release
    + fixes segfault after some failed connection attempts (closes: #624312)
    + includes cdn.debian.net (LP: #734348)
    + gcc-4.6 compilation fixes (LP: #765963)
    + adjusted regex for SF redirection to mscorefonts files (LP: #755085)

 -- Eduard Bloch <blade@debian.org>  Thu, 28 Apr 2011 21:34:49 +0200

apt-cacher-ng (0.6.1-1) unstable; urgency=low

  * New upstream release
  * Improved BindInterfaces description (closes: #545337)

 -- Eduard Bloch <blade@debian.org>  Mon, 28 Mar 2011 00:49:59 +0200

apt-cacher-ng (0.6-1) unstable; urgency=low

  * New upstream release

 -- Eduard Bloch <blade@debian.org>  Sat, 26 Feb 2011 16:37:24 +0100
