## apt-cacher-ng 0.6.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -99,6 +99,12 @@
 int main() { return pread(0, NULL, 0, 0); }
 ")
 CHECK_CXX_SOURCE_COMPILES("${TESTSRC}" HAVE_PREAD)
+
+SET(TESTSRC "
+#include <unistd.h>
+int main() { return daemon(0, 0); }
+")
+CHECK_CXX_SOURCE_COMPILES("${TESTSRC}" HAVE_DAEMON)
 
 SET(TESTSRC "
 #define _GNU_SOURCE
