=== debian/changelog ===
apt-cacher-ng (0.6.7-1) unstable; urgency=low

  * New upstream versions
    + implements extra keeping of obsolete package versions (closes: #634145)
    + configurable outgoing connection protocol (closes: #641257)

 -- Eduard Bloch <blade@debian.org>  Fri, 30 Sep 2011 16:37:18 +0200
