=== debian/rules ===
--- 
+++ 
@@ -8,13 +8,14 @@
 CFLAGS = -Wall -g
 
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-	CFLAGS += -O0
+CFLAGS += -O0
 else
-	CFLAGS += -O2
+CFLAGS += -O2
 endif
 
+NUMJOBS=2
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
-        NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 endif
 
 
@@ -28,17 +29,15 @@
 
 	touch configure-stamp
 
+build: build-arch build-indep
 
-build: build-stamp
+build-indep:
 
-build-stamp: configure-stamp 
+build-arch: configure-stamp 
 	dh_testdir
-
-	# Add here commands to compile the package.
 	$(MAKE) -j$(NUMJOBS)
-	# may fail if halibut is not installed, doesn't matter
-	-$(MAKE) doc
-	#docbook-to-man debian/apt-cacher-ng.sgml > apt-cacher-ng.1
+	# may fail if halibut is not installed, doesn't matter. Also modifies binary pdf and format is not 3.0 yet
+	#-$(MAKE) doc
 	@-test -d ../unstripped && cp build/apt-cacher-ng ../unstripped/apt-cacher-ng.$$(dpkg-parsechangelog |grep ^Version: | cut -f2 -d' ') || true
 	touch $@
 
@@ -72,40 +71,29 @@
 	ln -sf ../../var/lib/apt-cacher-ng/backends_ubuntu.default $(CDIR)/backends_ubuntu.default
 
 # Build architecture-independent files here.
-binary-indep: build install
-# We have nothing to do by default.
+binary-indep: build-indep install
 
 # Build architecture-dependent files here.
-binary-arch: build install
+binary-arch: build-arch install
 	dh_testdir
 	dh_testroot
 	dh_installchangelogs ChangeLog
 	dh_installdocs
 	dh_installexamples conf/*.conf conf/debrep.hooks
-#	dh_install
-#	dh_installmenu
 	dh_installdebconf	
 	dh_installlogrotate
-#	dh_installemacsen
-#	dh_installpam
-#	dh_installmime
-#	dh_python
 	dh_installinit
 	dh_installcron
-#	dh_installinfo
 	dh_installman doc/man/*.8
-	#dh_installman doc/man/apt-cacher-ng.8
 	dh_link
 	dh_strip
 	dh_compress -X.pdf
 	dh_fixperms
-#	dh_perl
-#	dh_makeshlibs
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
 	dh_md5sums
-	dh_builddeb
+	dh_builddeb -- -Zxz
 
 binary: binary-indep binary-arch
 .PHONY: build clean binary-indep binary-arch binary install configure
