## apt-cacher-ng 0.6.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,14 +1,32 @@
 cmake_minimum_required(VERSION 2.6)
+set(CMAKE_LEGACY_CYGWIN_WIN32 0)
+
 PROJECT(ACNG CXX C)
+
+INCLUDE (CheckIncludeFiles) 
+#INCLUDE (CheckLibraryExists)
+
 INCLUDE_DIRECTORIES(. ${CMAKE_BINARY_DIR} ${CMAKE_SOURCE_DIR} "include")
-
-SET(FLAGS_ACNG " -pthread -Wall -D_FILE_OFFSET_BITS=64 ")
 
 # minimum prqs
 list(APPEND AcngLdList pthread z bz2)
 
 INCLUDE(CheckIncludeFiles)
 INCLUDE(CheckCXXSourceCompiles)
+
+# I don't need -rdynamic, thanks!
+SET(CMAKE_SHARED_LIBRARY_LINK_CXX_FLAGS "")
+SET(CMAKE_SHARED_LIBRARY_LINK_C_FLAGS "")
+
+# common required flags
+SET(FLAGS_MIN " -pthread -Wall -D_FILE_OFFSET_BITS=64 ")
+
+#SET(CMAKE_REQUIRED_FLAGS " -std=gnu++0x ")
+#CHECK_CXX_SOURCE_COMPILES("int main() {return 0;}" NEEDS_GNU_0x)
+#if(NEEDS_GNU_0x)
+#   SET(FLAGS_MIN " ${FLAGS_MIN} -std=gnu++0x ")
+#endif(NEEDS_GNU_0x)
+
 
 #INCLUDE(FindZLIB) # broken, hangs for 10 seconds
 # header check should be enough, gzip should be everywhere nowadays
@@ -28,10 +46,13 @@
 
 INCLUDE_DIRECTORIES(${BZIP2_INCLUDE_DIR})
 
-SET(CMAKE_REQUIRED_FLAGS "-Wl,--as-needed")
+SET(CMAKE_REQUIRED_FLAGS " ${FLAGS_MIN} -Wl,--as-needed")
 SET(TESTSRC "int main() {return 0;}")
 CHECK_CXX_SOURCE_COMPILES("${TESTSRC}" HAVE_WL_AS_NEEDED)
-SET(CMAKE_REQUIRED_FLAGS "")
+
+# this flags are set to common base for the rest of the tests
+SET(CMAKE_REQUIRED_FLAGS " ${FLAGS_MIN} ")
+
 
 SET(CMAKE_REQUIRED_LIBRARIES lzma)
 SET(TESTSRC "
@@ -47,6 +68,21 @@
 ENDIF(HAVE_LZMA)
 SET(CMAKE_REQUIRED_LIBRARIES "")
 
+SET(CMAKE_REQUIRED_LIBRARIES wrap)
+SET(TESTSRC "
+#include <tcpd.h>
+int main() { request_info req; request_init(&req, RQ_FILE, 0, 0); fromhost(&req); return !hosts_access(&req); }
+")
+CHECK_CXX_SOURCE_COMPILES("${TESTSRC}" HAVE_LIBWRAP)
+IF(HAVE_LIBWRAP)
+   list(APPEND AcngLdList wrap)
+ELSE(HAVE_LIBWRAP)
+   MESSAGE("libwrap development files not usable, disabling support")
+   SET(HAVE_LIBWRAP)
+ENDIF(HAVE_LIBWRAP)
+SET(CMAKE_REQUIRED_LIBRARIES "")
+
+
 SET(TESTSRC "
 #include <wordexp.h>
 int main(int argc, char **argv) { wordexp_t p; return wordexp(*argv, &p, 0); }
@@ -117,6 +153,15 @@
 if(HAVE_SOCKETLIB)
    link_libraries(socket nsl)
 endif(HAVE_SOCKETLIB)
+
+#CHECK_INCLUDE_FILES(tcpd.h HAVE_LIBWRAP)
+#if(HAVE_LIBWRAP)
+## also check its library
+#  FIND_LIBRARY(tempvar wrapi)
+#  if(NOT tempvar)
+#     SET(HAVE_LIBWRAP "")
+#  endif(NOT tempvar)
+#endif(HAVE_LIBWRAP)
 
 INCLUDE(CheckTypeSize)
 CHECK_TYPE_SIZE(int SIZE_INT)
@@ -161,7 +206,6 @@
   return dlsym(dlopen(*argv, RTLD_LAZY), *argv) ?0:1;
 }
 ")
-SET(CMAKE_REQUIRED_FLAGS ${fuse_CFLAGS})
 SET(CMAKE_REQUIRED_LIBRARIES dl)
 CHECK_CXX_SOURCE_COMPILES("${TESTSRC}" HAVE_DLOPEN)
 SET(CMAKE_REQUIRED_LIBRARIES "")
@@ -173,21 +217,17 @@
 
 CONFIGURE_FILE("${CMAKE_SOURCE_DIR}/include/acsyscap.h.in" "${CMAKE_BINARY_DIR}/acsyscap.h")
 
-
-# I don't need -rdynamic
-SET(CMAKE_SHARED_LIBRARY_LINK_CXX_FLAGS "")
-SET(CMAKE_SHARED_LIBRARY_LINK_C_FLAGS "")
 
 FILE(GLOB SRCS "${CMAKE_SOURCE_DIR}/source/*.cc")
 ADD_EXECUTABLE(apt-cacher-ng ${SRCS})
 list(REMOVE_DUPLICATES AcngLdList)
 TARGET_LINK_LIBRARIES(apt-cacher-ng ${AcngLdList})
 
-SET_TARGET_PROPERTIES(apt-cacher-ng PROPERTIES COMPILE_FLAGS ${FLAGS_ACNG})
+SET_TARGET_PROPERTIES(apt-cacher-ng PROPERTIES COMPILE_FLAGS ${FLAGS_MIN})
 
 
 ADD_EXECUTABLE(in.acng client/client.cc)
-SET_TARGET_PROPERTIES(in.acng PROPERTIES COMPILE_FLAGS ${FLAGS_ACNG})
+SET_TARGET_PROPERTIES(in.acng PROPERTIES COMPILE_FLAGS ${FLAGS_MIN})
 
 IF(HAVE_WL_AS_NEEDED)
 SET_TARGET_PROPERTIES(in.acng apt-cacher-ng PROPERTIES LINK_FLAGS  -Wl,--as-needed)
@@ -208,7 +248,7 @@
 include(FindPkgConfig)
 pkg_check_modules(fuse fuse)
 
-set(acngfs_cflags "${FLAGS_ACNG} -DMINIBUILD")
+set(acngfs_cflags "${FLAGS_MIN} -DMINIBUILD")
 # what a mess... convert sepator back to space
 foreach(arg ${fuse_CFLAGS})
    set(acngfs_cflags "${acngfs_cflags} ${arg}")
