=== debian/changelog ===
apt-cacher-ng (0.6.8-2) unstable; urgency=medium

  * Added libwrap0-dev to Build-Depends (closes: #646300)
  * Added newer dpkg to Pre-Depends (for xz compression support)

 -- Eduard Bloch <blade@debian.org>  Sun, 23 Oct 2011 00:45:56 +0200

apt-cacher-ng (0.6.8-1) unstable; urgency=low

  * New upstream version
    + supports optional IP filters via libwrap (closes: #635454)
    + adds more helpers for detection/removal of corrupted cache contents
      (closes: #644959)
    + extra expired file keeping was added in 0.6.7 (LP: #225483)
    + configurable timeout value for "hot" index file items (LP: #872365)
  * New version supports loading of resource files from non-configuration
    directories (i.e. /usr/lib/apt-cacher-ng). Removed symlinks for resource
    files in /etc/apt-cacher-ng.

 -- Eduard Bloch <blade@debian.org>  Sun, 16 Oct 2011 21:40:55 +0200
