=== debian/rules ===
--- 
+++ 
@@ -13,9 +13,9 @@
 CFLAGS += -O2
 endif
 
-NUMJOBS=2
+PARJOBS=-j2
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
-NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+PARJOBS = -j$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 endif
 
 
@@ -35,8 +35,8 @@
 
 build-arch: configure-stamp 
 	dh_testdir
-	$(MAKE) -j$(NUMJOBS)
-	# may fail if halibut is not installed, doesn't matter. Also modifies binary pdf and format is not 3.0 yet
+	$(MAKE) $(PARJOBS)
+	# may fail if halibut is not installed, doesn't matter
 	#-$(MAKE) doc
 	@-test -d ../unstripped && cp build/apt-cacher-ng ../unstripped/apt-cacher-ng.$$(dpkg-parsechangelog |grep ^Version: | cut -f2 -d' ') || true
 	touch $@
@@ -66,7 +66,7 @@
 	> $(CDIR)/backends_debian
 	> $(CDIR)/backends_debvol
 	> $(CDIR)/backends_ubuntu
-	cd $(CDIR) && cp -s ../../usr/lib/apt-cacher-ng/{*mirror*,*.html,*.css} . 
+#	cd $(CDIR) && cp -s ../../usr/lib/apt-cacher-ng/{*mirror*,*.html,*.css} . 
 	ln -sf ../../var/lib/apt-cacher-ng/backends_debian.default $(CDIR)/backends_debian.default
 	ln -sf ../../var/lib/apt-cacher-ng/backends_ubuntu.default $(CDIR)/backends_ubuntu.default
