## apt-cacher-ng 0.6.10

=== debian/changelog ===
apt-cacher-ng (0.6.10-2) unstable; urgency=low

  * Release to Unstable

 -- Eduard Bloch <blade@debian.org>  Wed, 30 Nov 2011 01:22:41 +0100

apt-cacher-ng (0.6.10-1) experimental; urgency=low

  * New upstream version

 -- Eduard Bloch <blade@debian.org>  Sat, 26 Nov 2011 13:09:45 +0100

apt-cacher-ng (0.6.9-1) experimental; urgency=low

  * New upstream release, testing downloader code changes

 -- Eduard Bloch <blade@debian.org>  Sun, 06 Nov 2011 20:20:33 +0100
