## apt-cacher-ng 0.6.11

=== debian/changelog ===
apt-cacher-ng (0.6.11-1) unstable; urgency=low

  * Start init script at S18, not before bind (closes: 650726). Also adds the
    reference to LSB init info block.
  * specified effective user/group in logrotate config
  * Adds sample config snippet for apt.conf.d to examples
  * added Dutch translation of debconf templates (closes: 652020)
  * documented AllowUserPorts (available since 0.6.10, closes: 648802)

 -- Eduard Bloch <blade@debian.org>  Mon, 26 Dec 2011 16:38:05 +0100
