=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
 CFLAGS += -O0
 else
-CFLAGS += -O2
+CFLAGS += -O3
 endif
 
 PARJOBS=-j2
@@ -79,10 +79,10 @@
 	dh_testroot
 	dh_installchangelogs ChangeLog
 	dh_installdocs
-	dh_installexamples conf/*.conf conf/debrep.hooks
+	dh_installexamples conf/*.conf conf/debrep.hooks doc/000apt-cacher-ng-proxy
 	dh_installdebconf	
 	dh_installlogrotate
-	dh_installinit
+	dh_installinit -- defaults 18
 	dh_installcron
 	dh_installman doc/man/*.8
 	dh_link
