## apt-cacher-ng 0.6.12

=== debian/changelog ===
apt-cacher-ng (0.6.12-1) unstable; urgency=low

  * New upstream version
  * Added use of dpkg-buildflags (for hardening)

 -- Eduard Bloch <blade@debian.org>  Sun, 15 Jan 2012 16:10:09 +0100
