## apt-cacher-ng 0.7

=== debian/changelog ===
apt-cacher-ng (0.7-1) unstable; urgency=medium

  * New upstream releases
    + fixes asymmetric lifetime handling for file objects with URL encoded ~
      char in the filename (closes: #658550, #658680)

 -- Eduard Bloch <blade@debian.org>  Sun, 05 Feb 2012 22:42:53 +0100
