=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Priority: optional
 Maintainer: Eduard Bloch <blade@debian.org>
 Build-Depends: debhelper (>= 7), cmake (>= 2.6.2), libbz2-dev, zlib1g-dev, liblzma-dev, libfuse-dev [!hurd-i386], pkg-config, libwrap0-dev
+Build-Conflicts: binutils-gold
 Standards-Version: 3.9.2
 Homepage: http://www.unix-ag.uni-kl.de/~bloch/acng/
