## apt-cacher-ng 0.7.1

=== debian/changelog ===
apt-cacher-ng (0.7.1-1) unstable; urgency=low

  * New upstream releases
    + attempts to detect errors in HTTP stream and invalidate possibly
      damaged files (closes: #658550)
    + don't consider (almost) empty uncompressed file as damaged
      (closes: #660622)

 -- Eduard Bloch <blade@debian.org>  Mon, 20 Feb 2012 22:13:12 +0100
