## apt-cacher-ng 0.7.2

=== debian/changelog ===
apt-cacher-ng (0.7.2-1ubuntu1) precise; urgency=low

  * Merge from Debian testing.  Remaining changes:
    - debian/apt-cacher-ng.logrotate:
      Comment out the "su" lines as this requires logrotate 3.8.1 which isn't
      in Ubuntu yet.

 -- Daniel Hahler <ubuntu@thequod.de>  Mon, 09 Apr 2012 17:16:08 +0200

apt-cacher-ng (0.7.2-1) unstable; urgency=low

  * New upstream releases (closes: #661971)
  * Added Danish translation from Joe Dalton (closes: #660771)

 -- Eduard Bloch <blade@debian.org>  Sat, 03 Mar 2012 17:48:57 +0100

apt-cacher-ng (0.7.1-1ubuntu1) precise; urgency=low

  * debian/apt-cacher-ng.logrotate:
    Comment out the "su" lines as this requires logrotate 3.8.1 which isn't in
    Ubuntu yet.

 -- Michael Bienia <geser@ubuntu.com>  Sun, 26 Feb 2012 12:24:57 +0100
