=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: apt-cacher-ng
 Section: net
 Priority: optional
-Maintainer: Eduard Bloch <blade@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Eduard Bloch <blade@debian.org>
 Build-Depends: debhelper (>= 7), cmake (>= 2.6.2), libbz2-dev, zlib1g-dev, liblzma-dev, libfuse-dev [!hurd-i386], pkg-config, libwrap0-dev
 Build-Conflicts: binutils-gold
 Standards-Version: 3.9.2
