## apt-cacher-ng 0.7.7

=== debian/changelog ===
apt-cacher-ng (0.7.7-1ubuntu1) quantal; urgency=low

  * Merge from Debian.  Remaining changes:
    - debian/apt-cacher-ng.logrotate:
      Comment out the "su" lines as this requires logrotate 3.8.1 which isn't
      in Ubuntu yet.
    - drop conflict on logrotate < 3.8.1

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 05 Aug 2012 09:54:58 -0400

apt-cacher-ng (0.7.7-1) experimental; urgency=low

  * New upstream releasee
    + pass-through mode for allowed hosts (LP: #647212)
    + possible fixes of file descriptor objects expiration (closes: #677983)

 -- Eduard Bloch <blade@debian.org>  Sat, 04 Aug 2012 20:50:16 +0200

apt-cacher-ng (0.7.6-1) unstable; urgency=medium

  * New upstream release
    + more path pattern(s) for CentOS / Scientific Linux (LP: #1006844)
    + working around confusing proxy behavior and related issues with
      symptoms similar to #672801 (closes: #676214)

 -- Eduard Bloch <blade@debian.org>  Thu, 07 Jun 2012 17:14:57 +0200

apt-cacher-ng (0.7.5-1) unstable; urgency=low

  * New upstream release
    + fixes for corner cases of bug #672801

 -- Eduard Bloch <blade@debian.org>  Thu, 31 May 2012 00:27:55 +0200

apt-cacher-ng (0.7.4-1) unstable; urgency=medium

  * New upstream release 
    + prevents endless looping in certain situations (LP: #999915)
    + more tolerance to unstable connections and behavior fix for conflicting
      downloads in maintenance mode (closes: #672801)
  * added a bug-script to present some instructions

 -- Eduard Bloch <blade@debian.org>  Thu, 24 May 2012 15:55:17 +0200

apt-cacher-ng (0.7.3-1) unstable; urgency=low

  * New upstream release
    + Fixes FTBFS (missing unistd.h include, closes: #667100)
    + option to disable Range/If-Range for volatile files (LP: #983128)
    + Fixes storage of HTTP header data in cached files under certain
      circumstances (now really closes: #644959)
  * Conflict with older logrotate not understanding "su" (closes: #662760)
  * Process user/group is configurable via default file now (closes: #668421)

 -- Eduard Bloch <blade@debian.org>  Fri, 20 Apr 2012 09:27:13 +0200
