=== debian/changelog ===
apt-cacher-ng (0.7.11-2) stable; urgency=medium

  * Do not print the submitted (raw) file path in the response body of a 403
    message (CVE-2014-4510), avoiding potential use for XSS attacks

 -- Eduard Bloch <blade@debian.org>  Tue, 24 Jun 2014 21:24:28 +0200

apt-cacher-ng (0.7.11-1) unstable; urgency=low

  * New upstream release
    + fixes a segfaulting bug within the new code (closes: #694620)
    + spelling correction in the web interface (threat/treat, closes: #695120)

 -- Eduard Bloch <blade@debian.org>  Wed, 19 Dec 2012 20:14:46 +0100

apt-cacher-ng (0.7.10-1) unstable; urgency=medium

  * New upstream release

 -- Eduard Bloch <blade@debian.org>  Mon, 05 Nov 2012 23:27:29 +0100

apt-cacher-ng (0.7.9-1) unstable; urgency=low

  * New upstream release
    + fixes regular downloads in ForceManaged mode, closes: #692373)

 -- Eduard Bloch <blade@debian.org>  Mon, 05 Nov 2012 23:17:06 +0100

apt-cacher-ng (0.7.8-1) unstable; urgency=low

  * New upstream release
    + improved redirection handling (closes: #683803)
    + workarounds for stuck download descriptors (now probably really
      closes:#677983)
  * Cron jobs displays max. 5 recent operation logs (LP: #1074474)

 -- Eduard Bloch <blade@debian.org>  Sun, 04 Nov 2012 20:36:32 +0100

apt-cacher-ng (0.7.7-2) unstable; urgency=low

  * Unstable upload (no changes, hope that it closes: #677983)

 -- Eduard Bloch <blade@debian.org>  Sat, 08 Sep 2012 18:17:22 +0200
