=== debian/rules ===
--- 
+++ 
@@ -5,22 +5,19 @@
 SHELL=/bin/bash
 CDIR=$(CURDIR)/debian/apt-cacher-ng/etc/apt-cacher-ng/
 
-CFLAGS = -Wall -g
+CFLAGS = $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS) -Wall
+export CFLAGS
+CXXFLAGS=$(CFLAGS)
+export CXXFLAGS
+LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS) 
+export LDFLAGS
 
-ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-CFLAGS += -O0
-else
-CFLAGS += -O3
-endif
 
 PARJOBS=-j2
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 PARJOBS = -j$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 endif
 
-
-CXXFLAGS=$(CFLAGS)
-export CXXFLAGS
 
 configure: configure-stamp
 configure-stamp:
@@ -79,12 +76,13 @@
 	dh_testroot
 	dh_installchangelogs ChangeLog
 	dh_installdocs
-	dh_installexamples conf/*.conf conf/debrep.hooks doc/000apt-cacher-ng-proxy
+	dh_installexamples conf/*.conf conf/debrep.hooks doc/000apt-cacher-ng-proxy contrib/*.conf
 	dh_installdebconf	
 	dh_installlogrotate
 	dh_installinit -- defaults 18
 	dh_installcron
 	dh_installman doc/man/*.8
+	dh_bugfiles
 	dh_link
 	dh_strip
 	dh_compress -X.pdf
